package com.liquidnet.service.goblin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.liquidnet.service.goblin.dto.vo.GoblinRechargeWristbandVo;
import com.liquidnet.service.goblin.dto.vo.MaiZhiAllVo.*;
import com.liquidnet.service.goblin.entity.GoblinRechargeWristband;

/**
 * <p>
 * 手环信息表 服务类
 * </p>
 *
 * @author jiangxiulong
 * @since 2025-07-03
 */
public interface IGoblinRechargeWristbandService extends IService<GoblinRechargeWristband> {

    GoblinRechargeWristbandVo getList();

    CheckIdcardResponse auth(IdCardParam param);

    OrderResponse createOrder(OrderParam param, String orderId);

    OrderInfoResponse getOrder(OrderInfoParam param, String orderId);

    GenerateDeviceCodeResponse getQrcode(String outno);

    Boolean getDeviceNumber(Integer operationNo);

    DeviceBalanceResponse getDeviceBalance(String cardno);

    DeviceRecordResponse getDeviceRecord(String cardno, Integer page);

    ChangeDeviceStatusResponse changeDeviceStatus(String orderId, int type);

    Boolean refundRes();
}
